# $Revision: 1.143 $, $Date: 2012/05/15 10:59:21 $
Summary:	An archive manager for GNOME
Summary(pl.UTF-8):	Zarządca archiwów dla GNOME
Summary(pt_BR.UTF-8):	Gerenciador de arquivos compactados para o GNOME
Name:		file-roller
Version:	3.4.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/file-roller/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	1264798f38a87b4104734715f113fc0f
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+3-devel >= 3.0.2
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	nautilus-devel >= 2.26.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
# libegg
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.30.0
Requires:	hicolor-icon-theme
Requires:	nautilus-libs >= 2.26.0
Suggests:	bzip2
Suggests:	gzip
Suggests:	p7zip
%ifarch %{ix86}
Suggests:	rar
%else
Suggests:	unrar
%endif
Suggests:	tar
Suggests:	zip
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File Roller is an archive manager for the GNOME environment. With File
Roller you can: create and modify archives; view the content of an
archive; view a file contained in the archive; extract files from the
archive. File Roller is only a front-end (a graphical interface) to
various archiving programs. The supported file types are:
- Tar archives uncompressed (.tar) or compressed with
 - gzip (.tar.gz , .tgz)
 - bzip (.tar.bz , .tbz)
 - bzip2 (.tar.bz2 , .tbz2)
 - compress (.tar.Z , .taz)
 - lzop (.tar.lzo , .tzo)
- Zip archives (.zip)
- Jar archives (.jar , .ear , .war)
- Lha archives (.lzh)
- Rar archives (.rar)
- Single files compressed with gzip, bzip, bzip2, compress, lzop.

%description -l pl.UTF-8
File Roller to zarządca archiwów dla środowiska GNOME. Przy jego
pomocy można: tworzyć i modyfikować archiwa, oglądać ich zawartość,
oglądać poszczególne pliki zawarte w archiwum oraz rozpakowywać pliki
z archiwów. File Roller jest tylko interfejsem graficznym do
właściwych programów archiwizujących. Obsługiwane typy plików to:
- archiwa tar nieskompresowane (.tar) lub skompresowane programami:
 - gzip (.tar.gz, .tgz)
 - bzip (.tar.bz, .tbz)
 - bzip2 (.tar.bz2, .tbz2)
 - compress (.tar.Z, .taz)
 - lzop (.tar.lzo, .tzo)
- archiwa zip (.zip)
- archiwa jar (.jar, .ear, .war)
- archiwa lha (.lzh)
- archiwa rar (.rar)
- pojedyncze pliki skompresowane programami gzip, bzip, bzip2,
  compress, lzop.

%description -l pt_BR.UTF-8
File Roller é um gerenciador de pacotes de arquivos compactados para o
ambiente GNOME. Com ele é possível criar arquivos, visualizar o
conteúdo de arquivos existentes, visualizar um arquivo contido em um
pacote e extrair os arquivos de um pacote.

%prep
%setup -q

%build
%{__gnome_doc_prepare}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

# the same locale as ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/file-roller
%attr(755,root,root) %{_libexecdir}/file-roller-server
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-fileroller.so
%dir %{_libdir}/file-roller
%attr(755,root,root) %{_libdir}/file-roller/isoinfo.sh
%attr(755,root,root) %{_libdir}/file-roller/rpm2cpio
%{_datadir}/GConf/gsettings/file-roller.convert
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/file-roller
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_desktopdir}/file-roller.desktop
%{_iconsdir}/hicolor/*/apps/file-roller.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: file-roller.spec,v $
Revision 1.143  2012/05/15 10:59:21  kiesiu
- updated to 3.4.2

Revision 1.142  2012/04/17 21:10:40  megabajt
- updated to 3.4.1

Revision 1.141  2012/03/28 08:53:13  kiesiu
- updated to 3.4.0

Revision 1.140  2011/11/15 12:00:50  megabajt
- updated to 3.2.2

Revision 1.139  2011/10/17 19:12:12  wiget
- up to 3.2.1

Revision 1.138  2011/09/27 18:47:27  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.137.2.1  2011/09/08 21:08:35  wiget
- up to 3.1.91

Revision 1.137  2011/05/24 08:34:59  kiesiu
- updated to 3.0.2

Revision 1.136  2011/04/26 15:49:28  megabajt
- updated to 3.0.1

Revision 1.135  2011/04/04 20:23:16  kiesiu
- updated to 3.0.0; merged from DEVEL

Revision 1.134  2011/03/26 14:46:07  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

Revision 1.133.2.4  2011/03/31 12:35:03  kiesiu
- updated to 2.91.93

Revision 1.133.2.3  2011/03/21 21:30:15  megabajt
- updated to 2.91.92

Revision 1.133.2.2  2011/03/07 22:01:46  wiget
- update configure options

Revision 1.133.2.1  2011/03/07 21:54:34  megabajt
- updated to 2.91.91

Revision 1.133  2011/02/04 18:23:43  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.132  2010/11/17 06:36:51  megabajt
- updated to 2.32.1

Revision 1.131  2010/10/01 22:00:11  megabajt
- updated to 2.32.0

Revision 1.130  2010/06/22 22:10:36  megabajt
- updated to 2.30.2

Revision 1.129  2010/04/27 14:01:35  megabajt
- updated to 2.30.1.1

Revision 1.128  2010/04/26 21:23:36  megabajt
- updated to 2.30.1

Revision 1.127  2010/04/02 10:46:23  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.126  2009/12/17 21:34:39  megabajt
- updated to 2.28.2

Revision 1.125  2009/11/27 01:20:31  sparky
- BR: docbook-dtd412-xml

Revision 1.124.2.1  2009/11/24 12:28:22  patrys
- 2.29.1

Revision 1.124  2009/11/16 09:04:24  zbyniu
- missing BRs

Revision 1.123  2009/11/15 18:29:00  megabajt
- updated to 2.28.1

Revision 1.122  2009/09/26 20:25:35  patrys
- merged from DEVEL

Revision 1.120.2.6  2009/09/26 20:24:49  patrys
- 2.28.0

Revision 1.120.2.5  2009/09/08 08:48:42  patrys
- 2.27.92

Revision 1.120.2.4  2009/08/26 12:06:12  patrys
- 2.27.91

Revision 1.120.2.3  2009/08/11 11:30:55  patrys
- 2.27.90

Revision 1.120.2.2  2009/07/16 08:46:58  patrys
- 2.27.2

Revision 1.121  2009/07/01 15:43:10  megabajt
- updated to 2.26.3

Revision 1.120.2.1  2009/06/16 17:29:12  patrys
- 2.27.1

Revision 1.120  2009/05/20 18:42:29  megabajt
- updated to 2.26.2

Revision 1.119  2009/04/15 10:03:03  megabajt
- updated to 2.26.1

Revision 1.118  2009/03/16 19:21:45  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.117.2.1  2009/03/15 16:49:41  patrys
- 2.25.92

Revision 1.117  2009/01/15 11:32:19  megabajt
- updated to 2.24.3

Revision 1.116  2008/11/26 19:03:33  sls
- ver. 2.24.2

Revision 1.115  2008/10/21 20:50:35  megabajt
- updated to 2.24.1

Revision 1.114  2008/10/04 18:07:01  megabajt
- fixed changelog

Revision 1.113  2008/10/01 22:17:29  qwiat
- merge from DEVEL

Revision 1.110.2.9  2008/10/01 22:08:16  qwiat
- updated to 2.24.0

Revision 1.110.2.8  2008/09/12 20:52:29  patrys
- 2.23.92
- added compression to categories
- pushed patch to upstream bugzilla

Revision 1.110.2.7  2008/09/04 09:32:33  patrys
- 2.23.91

Revision 1.110.2.6  2008/08/19 11:35:47  patrys
- 2.23.6

Revision 1.110.2.5  2008/08/07 13:56:30  patrys
- 2.23.6

Revision 1.110.2.4  2008/07/23 13:17:17  patrys
- 2.23.4
- stop adding arbitrary mime types that don't exist in shared-mime-info

Revision 1.112  2008/07/06 11:16:43  megabajt
- updated to 2.22.4

Revision 1.110.2.3  2008/06/19 10:16:09  patrys
- 2.23.3

Revision 1.110.2.2  2008-06-03 20:36:01  patrys
- 2.23.2

Revision 1.111  2008/05/31 20:57:31  adamg
- updated to 2.22.3

Revision 1.110.2.1  2008-05-14 13:17:13  patrys
- 2.23.1

Revision 1.110  2008-04-09 20:22:19  megabajt
- updated to 2.22.2

Revision 1.109  2008-03-12 20:50:39  megabajt
- removed ur_PK locale which is the same as ur and glibc doesn't provide
  directory for it
- release 2

Revision 1.108  2008-03-12 14:01:27  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.104.2.4  2008-02-13 17:41:06  megabajt
- updated to 2.21.91

Revision 1.104.2.3  2008-02-07 19:46:07  megabajt
- merged changes from HEAD:
 - get rid of banner -> use suggests (included most formats that
   file-roller can use) (by blues)
 - no S for non-existing rar on !x86 (by qboosh)

Revision 1.104.2.2  2008-02-07 19:12:27  megabajt
- updated to 2.21.2

Revision 1.107  2008/01/12 01:14:22  qboosh
- no S for non-existing rar on !x86

Revision 1.106  2008-01-12 00:59:21  blues
- rel.2 - get rid of banner -> use suggests (included most formats that
  file-roller can use)

Revision 1.105  2008-01-09 20:33:51  megabajt
- updated to 2.20.3

Revision 1.104.2.1  2008-01-08 11:09:46  patrys
- 2.21.1

Revision 1.104  2007-11-27 20:44:32  qboosh
- updated find_lang BR

Revision 1.103  2007-11-27 18:10:11  megabajt
- updated to 2.20.2
- use better way to fix locale name
- use --with-omf

Revision 1.102  2007-11-04 17:52:14  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.101  2007/10/16 18:36:01  megabajt
- updated to 2.20.1

Revision 1.100  2007/09/18 17:17:30  patrys
- commited wrong version

Revision 1.99  2007/09/18 17:13:34  patrys
- 2.20.0

Revision 1.98.2.2  2007/09/08 12:56:43  megabajt
- updated to 2.19.92

Revision 1.98.2.1  2007/08/29 07:31:17  patrys
- 2.19.91

Revision 1.98  2007/07/26 18:24:11  megabajt
- updated to 2.18.4

Revision 1.97  2007/05/31 17:38:28  megabajt
- updated to 2.18.3

Revision 1.96  2007/04/17 09:35:01  megabajt
- updated to 2.18.2

Revision 1.95  2007/04/09 22:35:54  megabajt
- updated to 2.18.1

Revision 1.94  2007/03/14 14:31:34  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.93.2.2  2007/03/05 13:57:58  megabajt
- updated deps

Revision 1.93.2.1  2007/03/04 20:28:28  patrys
- 2.17.92

Revision 1.93  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.92  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.91  2007/02/01 20:12:17  megabajt
- updated to 2.16.3

Revision 1.90  2006/12/27 00:53:30  megabajt
- up to 2.16.2

Revision 1.89  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.88  2006/10/05 22:03:31  grzegol
- package tk lang files (languages added in glibc-2.5)

Revision 1.87  2006/10/04 20:40:13  grzegol
- 2.16.1

Revision 1.86  2006/09/04 21:49:44  grzegol
- 2.16.0

Revision 1.85  2006/08/22 19:30:44  freetz
- 2.15.93, updated deps

Revision 1.84  2006/08/10 20:55:59  freetz
- 2.15.91, updated deps

Revision 1.83  2006/07/26 18:45:30  freetz
- 2.15.90, use rpm macros

Revision 1.82  2006/07/14 16:36:59  freetz
- update icon cache, rel.2

Revision 1.81  2006/07/14 15:13:35  freetz
- 2.15.1, updated deps, --as-needed support

Revision 1.80  2006/06/11 10:58:54  freetz
- rel.2, GNOME 2.15.x deps, remove unsupported locale

Revision 1.79  2006/06/06 12:53:58  qboosh
- merged update to 2.14.3 from AC-branch

Revision 1.78  2006/05/27 08:35:11  qboosh
- merged deps update from AC-branch

Revision 1.74.2.2  2006/05/18 22:44:43  baggins
- release 2
- strict reqs

Revision 1.74.2.1  2006/05/16 16:56:04  baggins
- merged from HEAD

Revision 1.77  2006/04/20 18:46:03  freetz
- 2.14.2

Revision 1.76  2006/04/10 21:30:56  freetz
- 2.14.1, switched to hicolor icon theme dir

Revision 1.75  2006/04/02 14:32:16  freetz
- merged from DEVEL

Revision 1.73.2.4  2006/03/13 21:21:34  freetz
- 2.14.0

Revision 1.73.2.3  2006/02/28 08:34:42  freetz
- 2.13.92

Revision 1.73.2.2  2006/02/14 07:58:40  freetz
- 2.13.91

Revision 1.73.2.1  2006/01/31 15:10:28  freetz
- 2.13.90

Revision 1.74  2006/02/08 15:35:02  freetz
- 2.12.3

Revision 1.73  2005/11/28 22:44:18  freetz
- 2.12.2

Revision 1.72  2005/10/04 20:19:58  freetz
- 2.12.1

Revision 1.71  2005/09/06 18:33:41  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.69.2.6  2005/08/22 20:21:59  aflinta
- 2.11.92

Revision 1.69.2.5  2005/08/18 09:35:22  aflinta
- rebuild with cairo, rel. 2

Revision 1.69.2.4  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.69.2.3  2005/08/09 10:09:07  paladine
- updated to 2.11.91
- gnome-doc-utils for omf files

Revision 1.69.2.2  2005/07/25 18:41:06  freetz
- 2.11.90

Revision 1.69.2.1  2005/07/03 21:46:01  freetz
- 2.11.2
